package com.zxdemo.service
import android.util.Log
import com.google.firebase.messaging.FirebaseMessagingService
import com.google.firebase.messaging.RemoteMessage
import com.zxdemo.ZxApplication
import com.zxdemo.http.ZxHttp
import com.zxdemo.notity.NotificationUtils

class FcmService : FirebaseMessagingService() {
    override fun onMessageReceived(message: RemoteMessage) {
        Log.d("TAG", "onMessageReceived: ${message.data}")
        ZxHttp.getHttpReportInterface("FCM_Received", "", null)
        NotificationUtils.sendNotification(ZxApplication.context, "showNotification", "FCM")
    }
}